## Contributing

Hi! Thanks for your interest in contributing!

We accept pull requests for bug fixes, improvements, and new features. We'd also love to hear about ideas for new features as issues.

### Submitting an Issue

* 🐛 Open a [bug issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=bug&template=bug.md&title=) to report a bug or unexpected behavior.
* 📃 Open a [documentation issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=documentation&template=documentation.md&title=) to report a documentation issue.
* 🆕 Open a [new feature issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=new+feature&template=feature.md&title=) to suggest an new feature for this project.
* 🛠️ Open an [improvement issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=improvement&template=improvement.md&title=) to suggest an improvement for this project.
* 🕵 Open an [investigation issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=investigation&template=investigation.md&title=) to set an investigation topic.
* 🤌🏼 Open an [proposal issue](https://github.com/Ruben-Arushanyan/redux-cool/issues/new?assignees=ruben-arushanyan&labels=proposal&template=proposal.md&title=) to suggest something.

### Git branch naming conventions

- Use issue tracker IDs in branch names.
- Add a short descriptor of the task.
- Use hyphens as separators.

Example
```bash
722-add-billing-module
```
### Submitting a pull request

1. Create a new branch: `git checkout -b 722-my-branch-name`
1. Make your change, add tests, and ensure tests pass
1. Creating a pull request to the `master` branch

### Got a Question or Problem?

Do not open issues for general support questions as we want to keep GitHub issues for bug reports and feature requests. Instead, we recommend using [GitHub Discussions](https://github.com/Ruben-Arushanyan/redux-cool/discussions) to ask support-related questions.

## [License](https://github.com/Ruben-Arushanyan/redux-cool/blob/master/LICENSE)

Contributions to this project are released to the public under the [project's open source license](https://github.com/Ruben-Arushanyan/redux-cool/blob/master/LICENSE).

## [Code of Conduct](https://github.com/Ruben-Arushanyan/redux-cool/blob/master/CODE_OF_CONDUCT.md)

This project has adopted the [Contributor Covenant](https://www.contributor-covenant.org) as its Code of Conduct, and we expect project participants to adhere to it. Please read the [full text](https://github.com/Ruben-Arushanyan/redux-cool/blob/master/CODE_OF_CONDUCT.md) so that you can understand what actions will and will not be tolerated.

## Resources

- [How to Contribute to Open Source](https://opensource.guide/how-to-contribute/)
- [Using Pull Requests](https://docs.github.com/en/free-pro-team@latest/github/collaborating-with-issues-and-pull-requests/about-pull-requests)
