# [Redux Cool](https://redux-cool.js.org)

> **Build redux logic, without getting nervous 😬**

[![redux-cool](https://redux-cool.js.org/img/cover-logo.png)](https://redux-cool.js.org)


## Description

[Redux Cool](https://redux-cool.js.org) is an awesome tiny package that allows you to easily and intuitively write redux logic.

## Installation

```bash
npm install redux-cool
```

## [Documentation](https://redux-cool.js.org)
You can find the full documentation [on the website](https://redux-cool.js.org).

The documentation is divided into several sections:

- [Introduction](https://redux-cool.js.org/docs/introduction)
    - [Motivation](https://redux-cool.js.org/docs/introduction)
    - [Problems](https://redux-cool.js.org/docs/introduction/problems)
- [Concepts](https://redux-cool.js.org/docs/concepts)
    - [Index](https://redux-cool.js.org/docs/concepts)
    - [Reducer Tree](https://redux-cool.js.org/docs/concepts/reducer-tree)
    - [Reducers Creator](https://redux-cool.js.org/docs/concepts/reducers-creator)
    - [Actions Creator](https://redux-cool.js.org/docs/concepts/actions-creator)
    - [Global and Local Actions](https://redux-cool.js.org/docs/concepts/global-and-local-actions)
- [Usage Guide](https://redux-cool.js.org/docs/guide)
    - [Index](https://redux-cool.js.org/docs/guide)
    - [Usage Guide: React, Redux Cool](https://redux-cool.js.org/docs/guide/react-redux-cool)
- [API](https://redux-cool.js.org/docs/api)
    - [Index](https://redux-cool.js.org/docs/api)
    - [API - reducersCreator](https://redux-cool.js.org/docs/api/reducersCreator)
    - [API - actionsCreator](https://redux-cool.js.org/docs/api/actionsCreator)

## [Contributing](https://github.com/ruben-arushanyan/redux-cool/blob/master/CONTRIBUTING.md)

Read our [contributing guide](https://github.com/ruben-arushanyan/redux-cool/blob/master/CONTRIBUTING.md) to learn about our development process.

## [Code of Conduct](https://github.com/ruben-arushanyan/redux-cool/blob/master/CODE_OF_CONDUCT.md)

This project has adopted the [Contributor Covenant](https://www.contributor-covenant.org) as its Code of Conduct, and we expect project participants to adhere to it. Please read the [full text](https://github.com/ruben-arushanyan/redux-cool/blob/master/CODE_OF_CONDUCT.md) so that you can understand what actions will and will not be tolerated.

## Authors

- [Ruben Arushanyan](https://github.com/ruben-arushanyan)

## License

[MIT License](https://github.com/Ruben-Arushanyan/redux-cool/blob/master/LICENSE)
